﻿.services-box{
    width: 100%;
    display: block;
    box-sizing: border-box;
    min-height: 100vh;
    padding-top: 200px;
}
.services-all-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 80px 0;
}
.services-title-box h3{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 36px;
    color: #44bcbb;
    line-height: 1;
    letter-spacing: 0.06em;
    text-transform: uppercase;
}
.services-title-box h2{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 24px;
    color: #000;
    line-height: 1;
    letter-spacing: 0.3em;
    margin-top: 10px;
}
.services-info-box{
    margin-top: 130px;
    position: relative;
}
.services-info{
    width: 300px;
    display: inline-block;
    vertical-align: top;
    position: relative;
}
.services-info:nth-child(n + 5){
    margin-top: 60px;
}
.services-info-img{
    display: block;
    overflow: hidden;
    position: relative;
}
.services-info-img .main-bg{
    padding-top: 100%;
    box-sizing: border-box;
}
.services-info-text{
    width: 160px;
    max-width: 100%;
    box-sizing: border-box;
    padding: 10px 20px;
    background-color: #fff;
    text-align: center;
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #000;
    line-height: 22px;
    letter-spacing: 0.06em;
    position: relative;
    top: -21px;
    left: 20px;
}




/* pages */
.services-pages-info-box{
    background-color: rgba(68, 188, 186, 0.1);
}
.services-pages-info-img-box{
    width: 500px;
    max-width: 100%;
    display: inline-block;
    vertical-align: middle;
}
.services-pages-info-img{
    height: 500px;
    overflow: hidden;
}
.services-pages-info-img-box .slick-prev,
.services-pages-info-img-box .slick-next{
    top: 0;
    transform: none;
    width: 40px;
    text-align: center;
    height: 100%;
    background-color: rgba(68, 188, 186, 0.7);
    z-index: 1;
    transition: all .3s linear;
}
.services-pages-info-img-box .slick-prev{
    left: 0;
}
.services-pages-info-img-box .slick-next{
    right: 0;
}
.services-pages-info-img-box .slick-prev::before{
    content: "〈";
    font-size: 36px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #fff;
    opacity: 1;
    display: block;
    transform: translateX(-10px);
    pointer-events: none;
}
.services-pages-info-img-box .slick-next::before{
    content: "〉";
    font-size: 36px;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    color: #fff;
    opacity: 1;
    display: block;
    transform: translateX(10px);
    pointer-events: none;
}
.services-pages-info-text-box{
    width: calc(100% - 500px);
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    padding-left: 95px;
    padding-right: 15px;
}
.services-pages-info-name-box{
    font-family: "Noto Sans TC";
    font-weight: 700;
    font-size: 24px;
    display: block;
    color: #000;
    letter-spacing: 0.3em;
    line-height: 1.4;
}
.services-pages-info-text{
    margin: 40px 0;
}
.services-pages-info-text p{
    font-family: "Noto Sans TC";
    font-size: 18px;
    color: #666;
    letter-spacing: 0.06em;
    line-height: 30px;
}
.services-pages-info-url{
    display: inline-block;
    vertical-align: middle;
    margin-right: 25px;
}
.services-pages-info-url:last-child{
    margin-right: 0;
}
.services-pages-info-url i{
    font-size: 18px;
    color: #44bcbb;
    line-height: 30px;
    margin-right: 10px;
    display: inline-block;
    vertical-align: middle;
}
.services-pages-info-url span{
    font-family: "Roboto";
    color: #000;
    font-size: 18px;
    line-height: 30px;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: middle;
}


.services-pages-qa-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    margin-top: 140px;
}
.services-pages-qa-title-box{
    text-align: center;
}
.services-pages-qa-title-box span{
    font-family: 'Roboto';
    font-weight: 700;
    font-size: 36px;
    color: #44bcbb;
    line-height: 1;
    letter-spacing: 0.06em;
    text-transform: uppercase;
    box-sizing: border-box;
    padding-left: 0.06em;
}
.services-pages-qa-title-box p{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 24px;
    color: #000;
    line-height: 1;
    letter-spacing: 0.3em;
    box-sizing: border-box;
    padding-left: 0.3em;
    margin-top: 10px;
}
.services-pages-qa-list-box{
    margin-top: 40px;
}
.services-pages-qa-list{
    box-sizing: border-box;
    padding: 25px 0;
    border-bottom: 1px solid #d1d1d1;
    cursor: pointer;
    transition: all .3s linear;
}
.services-pages-qa-list-q,
.services-pages-qa-list-a{
    box-sizing: border-box;
    padding: 0 5px;
}
.services-pages-qa-list-a{
    display: none;
    margin-top: 30px;
}
.services-pages-qa-list-q-en{
    width: 23px;
    font-family: 'Roboto';
    font-weight: 300;
    font-size: 36px;
    color: #000;
    line-height: 40px;
    display: inline-block;
    vertical-align: middle;
    transition: all .3s linear;
}
.services-pages-qa-list-q-text{
    width: calc(100% - 23px);
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 18px;
    color: #000;
    line-height: 20px;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    padding: 0 30px;
    transition: all .3s linear;
}
.services-pages-qa-list-a-en{
    width: 23px;
    font-family: 'Roboto';
    font-weight: 300;
    font-size: 36px;
    color: #44bcbb;
    line-height: 40px;
    display: inline-block;
    vertical-align: middle;
}
.services-pages-qa-list-a-text{
    width: calc(100% - 23px);
    font-family: 'Noto Sans TC';
    font-size: 18px;
    color: #44bcbb;
    line-height: 20px;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    padding: 0 30px;
}
.services-pages-qa-list.active{
    border-bottom-color: #44bcbb;
}
.services-pages-qa-list:hover .services-pages-qa-list-q-en,
.services-pages-qa-list:hover .services-pages-qa-list-q-text{
    color: #225e5d;
}
.services-pages-qa-list.active .services-pages-qa-list-q-en,
.services-pages-qa-list.active .services-pages-qa-list-q-text{
    color: #44bcbb;
}
.services-pages-time-box{
    width: 100%;
    background-color: #44bcbb;
    border-radius: 5px;
    box-sizing: border-box;
    padding: 70px 50px;
    margin-top: 140px;
}
.services-pages-time-title{
    font-family: 'Noto Sans TC';
    font-weight: 700;
    font-size: 24px;
    color: #fff;
    line-height: 1;
    letter-spacing: 0.3em;
}
.services-pages-time-category-box{
    margin-top: 40px;
}
.services-pages-time-category{
    width: 160px;
    line-height: 50px;
    text-align: center;
    background-color: #fff;
    box-sizing: border-box;
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #44bcbb;
    letter-spacing: 0.06em;
    padding-left: 0.06em;
    display: inline-block;
    vertical-align: middle;
    margin-right: 15px;
    cursor: pointer;
    transition: all .3s linear;
}
.services-pages-time-category:last-child{
    margin-right: 0;
}
.services-pages-time-category:hover{
    background-color: #225e5d;
    color: #fff;
}
.services-pages-time-category.active{
    background-color: #225e5d;
    color: #fff;
    box-shadow: inset 0 0 10px rgba(0, 0, 0, .35);
}

.services-pages-time-table-box{
    margin-top: 20px;
    position: relative;
}
.services-pages-time-list-box{
    opacity: 0;
    pointer-events: none;
    transition: all .3s linear;
}
.services-pages-time-list-box.active{
    opacity: 1;
    pointer-events: all;
}
.services-pages-time-table-next{
    position: absolute;
    top: 0;
    left: 0;
}
.services-pages-time-list-name-box{
    width: 50px;
    display: inline-block;
    vertical-align: top;
}
.services-pages-time-list-week{
    width: 150px;
    display: inline-block;
    vertical-align: top;

}
.services-pages-time-list{
    text-align: center;
    background-color: rgba(238, 238, 238, 0.9);
    height: 150px;
    box-sizing: border-box;
    border-bottom: 1px solid #44bcbb;
    border-right: 1px solid #44bcbb;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    overflow-x: auto;
    position: relative;
}
.services-pages-time-list::-webkit-scrollbar {
    width: 5px;
    height: 5px;
}
.services-pages-time-list::-webkit-scrollbar-thumb {
    background:#225e5d;
}
.services-pages-time-list::-webkit-scrollbar-track {
    border-radius: 0;
    background:rgba(0,0,0,0);
}
.services-pages-time-list>p{
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: middle;
}
.services-pages-time-list>span{
    font-family: 'Noto Sans TC';
    font-size: 16px;
    color: #000;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: middle;
}
.services-pages-time-list>p:nth-child(2){
    margin: 0 10px;
}
.services-pages-time-list-title{
    background-color: #225e5d;
    height: 50px;
    flex-direction: row;
}
.services-pages-time-list-title>p,
.services-pages-time-list-title>span{
    color: #fff;
}
.services-pages-time-list-week .services-pages-time-list:not(.services-pages-time-list-title){
    justify-content: flex-start;
    -webkit-justify-content: flex-start;
    box-sizing: border-box;
    padding: 15px 10px;
}
.services-pages-time-list-info{
    width: 120px;
    display: block;
    line-height: 30px;
    background-color: #44bcbb;
    border-radius: 10px;
    box-sizing: border-box;
    text-align: center;
    font-family: 'Noto Sans TC';
    font-weight: 300;
    font-size: 16px;
    color: #fff;
    letter-spacing: 0.06em;
    padding-left: 0.06em;
}
.services-pages-time-list-info:nth-child(n + 2){
    margin-top: 10px;
}
.services-pages-time-list-off{
    overflow: hidden;
}
.services-pages-time-list-off::after{
    content: "";
    width: 1px;
    height: 141.421%;
    background-color: #44bcbb;
    position: absolute;
    bottom: 0px;
    left: 0;
    transform-origin: bottom;
    transform: rotateZ(45deg);
}

.services-pages-reservation-box{
    width: 1000px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
}
.services-pages-reservation-online-box{
    box-sizing: border-box;
    padding: 80px 0;
    border-bottom: 1px solid #eee;
}
.services-pages-reservation-online{
    width: 420px;
    display: inline-block;
    vertical-align: middle;
    border-radius: 5px;
    text-align: center;
    box-sizing: border-box;
    padding: 10px 0;
    transition: all .3s linear;
}
.services-pages-reservation-online-fb{
    background-color: #1877f2;
    margin-right: calc(100% - 420px * 2);
}
.services-pages-reservation-online-line{
    background-color: #07b53b;
}
.services-pages-reservation-online > i{
    font-size: 36px;
    color: #fff;
    display: inline-block;
    vertical-align: bottom;
    line-height: 40px;
    margin-right: 20px;
}
.services-pages-reservation-online > span{
    font-family: "Noto Sans TC";
    font-size: 18px;
    color: #fff;
    letter-spacing: 0.06em;
    display: inline-block;
    vertical-align: bottom;
    line-height: 26px;
}
.services-pages-reservation-text-box{
    width: 800px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    box-sizing: border-box;
    padding: 60px 0;
}
.services-pages-reservation-name-box{
    font-family: "Noto Sans TC";
    font-weight: 700;
    font-size: 24px;
    color: #000;
    letter-spacing: 0.3em;
    line-height: 1;
}
.services-pages-reservation-info-form{
    margin-top: 40px;
}
.contact-form-text[type="date"]{
    position: relative;
}
.contact-form-text[type="date"]::-webkit-calendar-picker-indicator{
    width: 100%;
    height: 100%;
    display: block;
    position: absolute;
    top: 0;
    left: 0;
    background-image: none;
}



@media only screen and (max-width: 1200px){
    .services-all-box{
        width: 1000px;
    }
    .services-info{
        width: calc(100% / 4);
    }

    .services-all-box{
        width: 1000px;
    }
    .services-pages-info-text-box{
        padding-left: 65px;
    }

    .services-pages-time-box{
        padding: 50px 20px;
    }
    .services-pages-time-list-week{
        width: 130px;
    }
    .services-pages-time-list{
        height: 130px;
    }
    .services-pages-time-list-title{
        height: 50px;
    }
    .services-pages-time-list-week .services-pages-time-list:not(.services-pages-time-list-title){
        padding: 10px 0;
    }
    .services-pages-time-list-info:nth-child(n + 2){
        margin-top: 5px;
    }
}
@media only screen and (max-width: 1000px){
    .services-all-box{
        width: 750px;
    }
    .services-info-box{
        margin-top: 70px;
    }
    .services-info-text{
        width: 140px;
    }
    
    .services-all-box{
        width: 750px;
    }
    .services-pages-info-img-box{
        width: 300px;
    }
    .services-pages-info-img{
        height: 300px;
    }
    .services-pages-info-text-box{
        width: calc(100% - 300px);
        padding-left: 35px;
    }
    .services-pages-info-text{
        margin: 30px 0;
    }

    .services-pages-time-list-name-box{
        width: 100%;
        display: block;
    }
    .services-pages-time-list{
        width: calc((100% - 70px) / 3);
        display: inline-flex;
        vertical-align: middle;
    }
    .services-pages-time-list-title{
        width: 70px;
        display: inline-flex;
        vertical-align: middle;
    }
    .services-pages-time-list-name-box .services-pages-time-list,
    .services-pages-time-list-name-box .services-pages-time-list-title{
        height: 50px;
    }
    .services-pages-time-list-title{
        height: 130px;
        flex-direction: column;
    }
    .services-pages-time-list-title p:nth-child(2){
        display: none;
    }
    .services-pages-time-list-week{
        width: 100%;
        display: block;
    }
    .services-pages-time-list-off::after{
        width: 2px;
        height: 100%;
        transform: rotateZ(0);
        transform: skewX(-58.7deg);
    }
    .services-pages-reservation-online{
        width: 320px;
    }
    .services-pages-reservation-online-fb{
        margin-right: calc(100% - 320px * 2);
    }
}
@media only screen and (max-width: 768px){
    .services-box{
        padding-top: 80px;
    }
    .services-all-box{
        width: 550px;
        padding: 40px 0;
    }
    .services-title-box h3{
        font-size: 24px;
    }
    .services-title-box h2{
        font-size: 20px;
        margin-top: 5px;
    }
    .services-info-box{
        margin-top: 40px;
    }
    .services-info{
        width: calc(100% / 3);
    }
    .services-info:nth-child(n + 4) {
        margin-top: 20px;
    }

    
    .services-all-box{
        width: 550px;
    }
    .services-pages-info-img-box{
        width: 550px;
    }
    .services-pages-info-img{
        height: 550px;
    }
    .services-pages-info-text-box{
        width: 100%;
        padding: 15px 10px;
    }
    .services-pages-info-text{
        margin: 20px 0;
    }

    .services-pages-time-list-off::after{
        width: 2px;
        transform: skewX(-48.7deg);
    }

    
    .services-pages-reservation-online{
        width: 260px;
    }
    .services-pages-reservation-online-fb{
        margin-right: calc(100% - 260px * 2);
    }
}
@media only screen and (max-width: 550px){
    .services-box{
        padding-top: 50px;
    }
    .services-all-box{
        width: calc(100vw - 30px);
        padding: 20px 0;
    }
    .services-title-box h3{
        font-size: 18px;
    }
    .services-title-box h2{
        font-size: 16px;
        margin-top: 5px;
    }
    .services-info-box{
        margin-top: 20px;
    }
    .services-info{
        width: calc((100% - 10px) / 2);
        margin-right: 10px;
    }
    .services-info:nth-child(2n){
        margin-right: 0;
    }
    .services-info:nth-child(n + 3) {
        margin-top: 10px;
    }
    .services-info-text{
        top: 0;
        left: 0;
        text-align: left;
        width: 100%;
        padding: 5px 0;
        line-height: 18px;
    }

    
    .services-all-box{
        width: calc(100vw - 30px);
    }
    .services-pages-info-img-box{
        width: 100%;
    }
    .services-pages-info-img{
        height: calc(100vw - 30px);
    }
    .services-pages-info-text-box{
        width: 100%;
        padding: 15px 10px;
    }
    .services-pages-info-text{
        margin: 20px 0;
    }
    .services-pages-info-name-box{
        font-size: 18px;
        line-height: 1.2;
        letter-spacing: 0.06em;
    }
    .services-pages-info-text{
        margin: 10px 0;
    }
    .services-pages-info-text p{
        font-size: 16px;
        line-height: 24px;
    }
    .services-pages-info-url{
        margin-right: 15px;
    }
    .services-pages-info-url i{
        font-size: 14px;
        line-height: 24px;
        margin-right: 5px;
    }
    .services-pages-info-url span{
        font-size: 14px;
        line-height: 24px;
    }

    .services-pages-qa-box{
        margin-top: 60px;
    }
    .services-pages-qa-title-box span{
        font-size: 18px;
    }
    .services-pages-qa-title-box p{
        font-size: 16px;
        padding-left: 0.06em;
        letter-spacing: 0.06em;
        margin-top: 5px;
    }
    .services-pages-qa-list-box{
        margin-top: 20px;
    }
    .services-pages-qa-list{
        padding: 10px 0;
    }
    .services-pages-qa-list-q-en{
        font-size: 24px;
    }
    .services-pages-qa-list-q-text{
        font-size: 16px;
        padding: 0px 10px;
    }
    .services-pages-qa-list-a{
        margin-top: 10px;
    }
    .services-pages-qa-list-a-en{
        font-size: 24px;
    }
    .services-pages-qa-list-a-text{
        font-size: 16px;
        padding: 0px 10px;
    }

    .services-pages-time-box{
        margin-top: 40px;
        padding: 20px 10px;
    }
    .services-pages-time-title{
        font-size: 18px;
    }
    .services-pages-time-category-box{
        margin-top: 10px;
    }
    .services-pages-time-category{
        width: 100px;
        line-height: 40px;
        font-size: 14px;
    }
    .services-pages-time-table-box{
        margin-top: 10px;
    }
    .services-pages-time-list-name-box .services-pages-time-list, 
    .services-pages-time-list-name-box .services-pages-time-list-title{
        height: 35px;
    }
    .services-pages-time-list-name-box .services-pages-time-list p, 
    .services-pages-time-list-name-box .services-pages-time-list span, 
    .services-pages-time-list-name-box .services-pages-time-list-title p,
    .services-pages-time-list-name-box .services-pages-time-list-title span{
        font-size: 14px;
    }
    .services-pages-time-list>p,
    .services-pages-time-list>span{
        font-size: 12px;
    }
    .services-pages-time-list-info{
        width: 90%;
        border-radius: 5px;
        font-size: 14px;
        line-height: 24px;
    }

    .services-pages-time-box{
        width: 400px;
        max-width: 100%;
        margin: 0 auto;
        margin-top: 40px;
    }
    .services-pages-time-list{
        width: calc((100% - 50px) / 3);
    }
    .services-pages-time-list-title{
        width: 50px;
    }
    .services-pages-time-list-off::after{
        width: 1px;
        transform: skew(-40deg);
    }

    .services-pages-reservation-online-box{
        padding: 20px 0;
    }
    .services-pages-reservation-online{
        width: 100%;
    }
    .services-pages-reservation-online-fb{
        margin-right: 0;
        margin-bottom: 10px;
    }
    .services-pages-reservation-online > i{
        font-size: 24px;
        line-height: 30px;
        margin-right: 10px;
        line-height: 20px;
    }
    .services-pages-reservation-online > span{
        font-size: 16px;
        line-height: 20px;
    }
    .services-pages-reservation-text-box{
        padding: 20px 0;
    }
    .services-pages-reservation-name-box{
        font-size: 18px;
        letter-spacing: 0.06em;
    }
    .services-pages-reservation-info-form{
        margin-top: 20px;
    }
}

@media only screen and (max-width: 440px){
    .services-pages-time-list-off::after{
        transform: skew(-30.5deg);
    }
    .services-pages-time-box{
        width: 300px;
    }
}
@media only screen and (max-width: 320px){
    .services-pages-time-list-off::after{
        transform: skew(-24.5deg);
    }
    .services-pages-time-box{
        width: 250px;
    }
}


@media only screen and (min-width: 769px){
    .services-info:hover .main-bg{
        transform: scale(1.1);
    }
    .services-pages-info-img-box .slick-prev:hover,
    .services-pages-info-img-box .slick-next:hover{
        background-color: #44bcbb;
    }
    
    .services-pages-reservation-online:hover{
        box-shadow: 0 0 12px 3px rgba(0, 0, 0, 0.35);
    }

    .services-title-box,
    .services-info,
    .services-pages-info-box,
    .services-pages-qa-title-box,
    .services-pages-qa-list,
    .services-pages-time-box,
    .services-pages-reservation-online-box,
    .services-pages-reservation-name-box,
    .services-pages-reservation-info-form li,
    .contact-info-form li{
        opacity: 0;
    }
    .services-title-box.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .services-info.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .services-pages-info-box.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .services-pages-qa-title-box.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .services-pages-qa-list.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .services-pages-time-box.anima,
    .services-pages-reservation-online-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .services-pages-reservation-name-box.anima{
        animation: fadeInDown 1s ease 0s 1 both;
    }
    .services-pages-reservation-info-form li.anima,
    .contact-info-form li.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
}